Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class HistoryBrowser.HistoryBrowserAdapter

    java.lang.Object
      org.apache.batik.apps.svgbrowser.HistoryBrowser.HistoryBrowserAdapter

All Implemented Interfaces:
  EventListener, HistoryBrowser.HistoryBrowserListener

Enclosing class:
  HistoryBrowser

    public static class HistoryBrowser.HistoryBrowserAdapter

extends Object
implements HistoryBrowser.HistoryBrowserListener

The adapter to provide the default behavior.

Constructor Summary
`HistoryBrowser.HistoryBrowserAdapter()`

Method Summary
`void` | `compoundEditPerformed(HistoryBrowser.HistoryBrowserEvent event)` The compound command has been made from the atom commands that were executed and should be wrapped.
`void` | `doCompoundEdit(HistoryBrowser.HistoryBrowserEvent event)` The the atom command that should be wrapped with the compound command has been executed.
`void` | `executePerformed(HistoryBrowser.HistoryBrowserEvent event)` The command has been executed.
`void` | `historyReset(HistoryBrowser.HistoryBrowserEvent event)` History has been reset, and all commands have been removed from the history.
`void` | `redoPerformed(HistoryBrowser.HistoryBrowserEvent event)` The redo has been performed on the command.
`void` | `undoPerformed(HistoryBrowser.HistoryBrowserEvent event)` The undo has been performed on the command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistoryBrowser.HistoryBrowserAdapter

    public HistoryBrowser.HistoryBrowserAdapter()

Method Detail

### executePerformed

    public void executePerformed(HistoryBrowser.HistoryBrowserEvent event)

  Description copied from interface: `HistoryBrowser.HistoryBrowserListener`
  The command has been executed.

  Specified by:
    `executePerformed` in interface `HistoryBrowser.HistoryBrowserListener`

### undoPerformed

    public void undoPerformed(HistoryBrowser.HistoryBrowserEvent event)

  Description copied from interface: `HistoryBrowser.HistoryBrowserListener`
  The undo has been performed on the command.

  Specified by:
    `undoPerformed` in interface `HistoryBrowser.HistoryBrowserListener`

### redoPerformed

    public void redoPerformed(HistoryBrowser.HistoryBrowserEvent event)

  Description copied from interface: `HistoryBrowser.HistoryBrowserListener`
  The redo has been performed on the command.

  Specified by:
    `redoPerformed` in interface `HistoryBrowser.HistoryBrowserListener`

### historyReset

    public void historyReset(HistoryBrowser.HistoryBrowserEvent event)

  Description copied from interface: `HistoryBrowser.HistoryBrowserListener`
  History has been reset, and all commands have been removed from the history.

  Specified by:
    `historyReset` in interface `HistoryBrowser.HistoryBrowserListener`

### compoundEditPerformed

    public void compoundEditPerformed(HistoryBrowser.HistoryBrowserEvent event)

  Description copied from interface: `HistoryBrowser.HistoryBrowserListener`
  The compound command has been made from the atom commands that were executed and should be wrapped.

  Specified by:
    `compoundEditPerformed` in interface `HistoryBrowser.HistoryBrowserListener`

### doCompoundEdit

    public void doCompoundEdit(HistoryBrowser.HistoryBrowserEvent event)

  Description copied from interface: `HistoryBrowser.HistoryBrowserListener`
  The the atom command that should be wrapped with the compound command has been executed.

  Specified by:
    `doCompoundEdit` in interface `HistoryBrowser.HistoryBrowserListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.